ErrorDocument 404 [blogfolder]archive.php
Options +FollowSymLinks -MultiViews

RewriteEngine On
RewriteBase [serverfolder]

[www-non-www]

[redirection]

RewriteCond %{SCRIPT_FILENAME} -f [OR]
RewriteCond %{SCRIPT_FILENAME} -d [OR]
RewriteCond %{ENV:REDIRECT_STATUS} !^$
RewriteRule .* - [L]

RewriteRule ^sitemap.xml      sitemap.php [QSA,L]
RewriteRule ^[meppicdir]/([^/]+)?$         http://thumbs.ebaystatic.com/pict/$1 [QSA,L]
RewriteRule ^feed$ [blogfolder]rss.xml [QSA,L]
RewriteRule ^[mepshopdir]/([^/]+)?$         [blogfolder]functions.php?i=$1 [QSA,L]
RewriteRule ^([^/]+)?$         [blogfolder]$1.php [QSA,L] 